Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class NodeTypeExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jcr.RepositoryException
                  javax.jcr.nodetype.NodeTypeExistsException
                      org.modeshape.jcr.NodeTypeExistsException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class NodeTypeExistsException

extends NodeTypeExistsException

An exception that captures the error condition that a referenced node type already exists.

See Also:
  Serialized Form

Constructor Summary
`NodeTypeExistsException(Name nodeType)`
`NodeTypeExistsException(Name nodeType, String message)`
`NodeTypeExistsException(Name nodeType, String message, Throwable rootCause)`
`NodeTypeExistsException(Name nodeType, Throwable rootCause)`

Method Summary
`Name` | `getNodeType()` Get the name of the existing node type.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeTypeExistsException

    public NodeTypeExistsException(Name nodeType)

Parameters:
  `nodeType` - the name of the existing node type

### NodeTypeExistsException

    public NodeTypeExistsException(Name nodeType,
                                   String message,
                                   Throwable rootCause)

Parameters:
  `nodeType` - the name of the existing node type
  `message` -
  `rootCause` -

### NodeTypeExistsException

    public NodeTypeExistsException(Name nodeType,
                                   String message)

Parameters:
  `nodeType` - the name of the existing node type
  `message` -

### NodeTypeExistsException

    public NodeTypeExistsException(Name nodeType,
                                   Throwable rootCause)

Parameters:
  `nodeType` - the name of the existing node type
  `rootCause` -

Method Detail

### getNodeType

    public Name getNodeType()

  Get the name of the existing node type.

  Returns:
    the existing node type name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.